Subject: Re: [PATCH] revision: Don't queue uninteresting commits

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Oct 2023 09:40:03 -0700

Øystein Walle <[email-masked]> writes:

> Currently all given commits are added to the topo_queue during
> init_topo_walk(). Later on in get_revision_1() the uninteresting ones
> are skipped because simplify_commit() tells it to.
>
> Let's not add them to the topo_queue in the first place.

What is not described here is what benefit we are expecting to gain
by making this change.  Is anything leaking?  Are we showing wrong
output?  Is the effect something we can demonstrate, and more
importantly we can protect from future breakages, with a test or
two?